/*
 *  XMMP - LinuX MultiMedia Project ( www.frozenproductions.com )
 *  Copyright (c) 1999 - 2001 Arthur Kleer <kleer@frozenproductions.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

GtkWidget*
create_mplayer_dialog_window (void)
{
  GtkWidget *mplayer_dialog_window;
  GtkWidget *mplayer_dialog_vbox;
  GtkWidget *mplayer_dialog_label;
  GtkWidget *mplayer_dialog_scrolledwin;
  GtkWidget *mplayer_dialog_text;
  GtkWidget *mplayer_dialog_hsep;
  GtkWidget *mplayer_dialog_close;

  mplayer_dialog_window = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_object_set_data (GTK_OBJECT (mplayer_dialog_window), "mplayer_dialog_window", mplayer_dialog_window);
  gtk_container_set_border_width (GTK_CONTAINER (mplayer_dialog_window), 5);
  gtk_window_set_title (GTK_WINDOW (mplayer_dialog_window), _("LinuX Media Player"));
  gtk_window_set_default_size (GTK_WINDOW (mplayer_dialog_window), 400, -1);

  mplayer_dialog_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (mplayer_dialog_vbox);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dialog_window), "mplayer_dialog_vbox", mplayer_dialog_vbox,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mplayer_dialog_vbox);
  gtk_container_add (GTK_CONTAINER (mplayer_dialog_window), mplayer_dialog_vbox);
  gtk_container_set_border_width (GTK_CONTAINER (mplayer_dialog_vbox), 5);

  mplayer_dialog_label = gtk_label_new (_("LinuX Media Player"));
  gtk_widget_ref (mplayer_dialog_label);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dialog_window), "mplayer_dialog_label", mplayer_dialog_label,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mplayer_dialog_label);
  gtk_box_pack_start (GTK_BOX (mplayer_dialog_vbox), mplayer_dialog_label, FALSE, FALSE, 0);

  mplayer_dialog_scrolledwin = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (mplayer_dialog_scrolledwin);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dialog_window), "mplayer_dialog_scrolledwin", mplayer_dialog_scrolledwin,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mplayer_dialog_scrolledwin);
  gtk_box_pack_start (GTK_BOX (mplayer_dialog_vbox), mplayer_dialog_scrolledwin, FALSE, FALSE, 5);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (mplayer_dialog_scrolledwin), GTK_POLICY_NEVER, GTK_POLICY_NEVER);

  mplayer_dialog_text = gtk_text_new (NULL, NULL);
  gtk_widget_ref (mplayer_dialog_text);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dialog_window), "mplayer_dialog_text", mplayer_dialog_text,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mplayer_dialog_text);
  gtk_container_add (GTK_CONTAINER (mplayer_dialog_scrolledwin), mplayer_dialog_text);

  mplayer_dialog_hsep = gtk_hseparator_new ();
  gtk_widget_ref (mplayer_dialog_hsep);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dialog_window), "mplayer_dialog_hsep", mplayer_dialog_hsep,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mplayer_dialog_hsep);
  gtk_box_pack_start (GTK_BOX (mplayer_dialog_vbox), mplayer_dialog_hsep, FALSE, FALSE, 10);

  mplayer_dialog_close = gtk_button_new_with_label (_("Close"));
  gtk_widget_ref (mplayer_dialog_close);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dialog_window), "mplayer_dialog_close", mplayer_dialog_close,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (mplayer_dialog_close);
  gtk_box_pack_start (GTK_BOX (mplayer_dialog_vbox), mplayer_dialog_close, FALSE, FALSE, 0);

  gtk_signal_connect_object (GTK_OBJECT (mplayer_dialog_close), "clicked",
                             GTK_SIGNAL_FUNC (gtk_widget_destroy),
                             GTK_OBJECT (mplayer_dialog_window));

  return mplayer_dialog_window;
}

GtkWidget*
create_mplayer_fileio_window (void)
{
  GtkWidget *mplayer_fileio_window;
  GtkWidget *load_button;
  GtkWidget *cancel_button;

  mplayer_fileio_window = gtk_file_selection_new (_("Open file..."));
  gtk_object_set_data (GTK_OBJECT (mplayer_fileio_window), "mplayer_fileio_window", mplayer_fileio_window);
  gtk_container_set_border_width (GTK_CONTAINER (mplayer_fileio_window), 10);
  GTK_WINDOW (mplayer_fileio_window)->type = GTK_WINDOW_DIALOG;
  gtk_window_set_modal (GTK_WINDOW (mplayer_fileio_window), TRUE);

  load_button = GTK_FILE_SELECTION (mplayer_fileio_window)->ok_button;
  gtk_object_set_data (GTK_OBJECT (mplayer_fileio_window), "load_button", load_button);
  gtk_widget_show (load_button);
  GTK_WIDGET_SET_FLAGS (load_button, GTK_CAN_DEFAULT);

  cancel_button = GTK_FILE_SELECTION (mplayer_fileio_window)->cancel_button;
  gtk_object_set_data (GTK_OBJECT (mplayer_fileio_window), "cancel_button", cancel_button);
  gtk_widget_show (cancel_button);
  GTK_WIDGET_SET_FLAGS (cancel_button, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (load_button), "clicked",
                      GTK_SIGNAL_FUNC (on_load_button_clicked),
                      NULL);
  gtk_signal_connect_object (GTK_OBJECT (cancel_button), "clicked",
                             GTK_SIGNAL_FUNC (gtk_widget_destroy),
                             GTK_OBJECT (mplayer_fileio_window));

  return mplayer_fileio_window;
}

GtkWidget*
create_mplayer_dirselect_window (void)
{
  GtkWidget *mplayer_dirselect_window;
  GtkWidget *dirselect_vbox;
  GtkWidget *dirselect_scrolledwin;
  GtkWidget *dirselect_ctree;
  GtkWidget *dirselect_label;
  GtkWidget *dirselect_hsep;
  GtkWidget *dirselect_hbbox;
  GtkWidget *dirselect_ok;
  GtkWidget *dirselect_close;

  mplayer_dirselect_window = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_object_set_data (GTK_OBJECT (mplayer_dirselect_window), "mplayer_dirselect_window", mplayer_dirselect_window);
  gtk_widget_set_usize (mplayer_dirselect_window, 350, -2);
  gtk_container_set_border_width (GTK_CONTAINER (mplayer_dirselect_window), 5);
  gtk_window_set_title (GTK_WINDOW (mplayer_dirselect_window), _("Select Directory"));
  gtk_window_set_policy (GTK_WINDOW (mplayer_dirselect_window), FALSE, FALSE, FALSE);

  dirselect_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (dirselect_vbox);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_vbox", dirselect_vbox,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_vbox);
  gtk_container_add (GTK_CONTAINER (mplayer_dirselect_window), dirselect_vbox);
  gtk_container_set_border_width (GTK_CONTAINER (dirselect_vbox), 5);

  dirselect_scrolledwin = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (dirselect_scrolledwin);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_scrolledwin", dirselect_scrolledwin,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_scrolledwin);
  gtk_box_pack_start (GTK_BOX (dirselect_vbox), dirselect_scrolledwin, TRUE, TRUE, 0);
  gtk_widget_set_usize (dirselect_scrolledwin, -2, 200);
  gtk_container_set_border_width (GTK_CONTAINER (dirselect_scrolledwin), 5);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (dirselect_scrolledwin), GTK_POLICY_ALWAYS, GTK_POLICY_AUTOMATIC);

  dirselect_ctree = gtk_ctree_new (1, 0);
  gtk_widget_ref (dirselect_ctree);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_ctree", dirselect_ctree,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_ctree);
  gtk_container_add (GTK_CONTAINER (dirselect_scrolledwin), dirselect_ctree);
  gtk_clist_set_column_width (GTK_CLIST (dirselect_ctree), 0, 80);
  gtk_clist_set_selection_mode (GTK_CLIST (dirselect_ctree), GTK_SELECTION_MULTIPLE);
  gtk_clist_column_titles_hide (GTK_CLIST (dirselect_ctree));

  dirselect_label = gtk_label_new (_("label"));
  gtk_widget_ref (dirselect_label);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_label", dirselect_label,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_label);
  gtk_clist_set_column_widget (GTK_CLIST (dirselect_ctree), 0, dirselect_label);

  dirselect_hsep = gtk_hseparator_new ();
  gtk_widget_ref (dirselect_hsep);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_hsep", dirselect_hsep,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_hsep);
  gtk_box_pack_start (GTK_BOX (dirselect_vbox), dirselect_hsep, TRUE, TRUE, 0);

  dirselect_hbbox = gtk_hbutton_box_new ();
  gtk_widget_ref (dirselect_hbbox);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_hbbox", dirselect_hbbox,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_hbbox);
  gtk_box_pack_start (GTK_BOX (dirselect_vbox), dirselect_hbbox, TRUE, FALSE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dirselect_hbbox), GTK_BUTTONBOX_END);
  gtk_button_box_set_spacing (GTK_BUTTON_BOX (dirselect_hbbox), 10);
  gtk_button_box_set_child_size (GTK_BUTTON_BOX (dirselect_hbbox), 85, 0);
  gtk_button_box_set_child_ipadding (GTK_BUTTON_BOX (dirselect_hbbox), 0, 0);

  dirselect_ok = gtk_button_new_with_label (_("OK"));
  gtk_widget_ref (dirselect_ok);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_ok", dirselect_ok,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_ok);
  gtk_container_add (GTK_CONTAINER (dirselect_hbbox), dirselect_ok);
  GTK_WIDGET_SET_FLAGS (dirselect_ok, GTK_CAN_DEFAULT);

  dirselect_close = gtk_button_new_with_label (_("Close"));
  gtk_widget_ref (dirselect_close);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_dirselect_window), "dirselect_close", dirselect_close,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (dirselect_close);
  gtk_container_add (GTK_CONTAINER (dirselect_hbbox), dirselect_close);
  GTK_WIDGET_SET_FLAGS (dirselect_close, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (dirselect_ctree), "tree_expand",
                      GTK_SIGNAL_FUNC (on_dirselect_ctree_tree_expand),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (dirselect_ctree), "select_row",
                      GTK_SIGNAL_FUNC (on_dirselect_ctree_select_row),
                      NULL);
  gtk_signal_connect_object (GTK_OBJECT (dirselect_ok), "clicked",
                             GTK_SIGNAL_FUNC (on_dirselect_ok_clicked),
                             GTK_OBJECT (mplayer_dirselect_window));
  gtk_signal_connect_object (GTK_OBJECT (dirselect_close), "clicked",
                             GTK_SIGNAL_FUNC (gtk_widget_destroy),
                             GTK_OBJECT (mplayer_dirselect_window));

  return mplayer_dirselect_window;
}

GtkWidget*
create_mplayer_urlselect_window (void)
{
  GtkWidget *mplayer_urlselect_window;
  GtkWidget *urlselect_vbox;
  GtkWidget *urlselect_combo;
  GtkWidget *urlselect_combo_entry;
  GtkWidget *urlselect_hsep;
  GtkWidget *urlselect_hbbox;
  GtkWidget *urlselect_ok;
  GtkWidget *urlselect_close;

  mplayer_urlselect_window = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_object_set_data (GTK_OBJECT (mplayer_urlselect_window), "mplayer_urlselect_window", mplayer_urlselect_window);
  gtk_widget_set_usize (mplayer_urlselect_window, 400, -2);
  gtk_window_set_title (GTK_WINDOW (mplayer_urlselect_window), _("Input URL..."));
  gtk_window_set_policy (GTK_WINDOW (mplayer_urlselect_window), FALSE, FALSE, FALSE);

  urlselect_vbox = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (urlselect_vbox);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_urlselect_window), "urlselect_vbox", urlselect_vbox,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (urlselect_vbox);
  gtk_container_add (GTK_CONTAINER (mplayer_urlselect_window), urlselect_vbox);
  gtk_container_set_border_width (GTK_CONTAINER (urlselect_vbox), 5);

  urlselect_combo = gtk_combo_new ();
  gtk_widget_ref (urlselect_combo);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_urlselect_window), "urlselect_combo", urlselect_combo,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (urlselect_combo);
  gtk_box_pack_start (GTK_BOX (urlselect_vbox), urlselect_combo, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (urlselect_combo), 5);

  urlselect_combo_entry = GTK_COMBO (urlselect_combo)->entry;
  gtk_widget_ref (urlselect_combo_entry);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_urlselect_window), "urlselect_combo_entry", urlselect_combo_entry,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (urlselect_combo_entry);

  urlselect_hsep = gtk_hseparator_new ();
  gtk_widget_ref (urlselect_hsep);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_urlselect_window), "urlselect_hsep", urlselect_hsep,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (urlselect_hsep);
  gtk_box_pack_start (GTK_BOX (urlselect_vbox), urlselect_hsep, TRUE, TRUE, 0);

  urlselect_hbbox = gtk_hbutton_box_new ();
  gtk_widget_ref (urlselect_hbbox);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_urlselect_window), "urlselect_hbbox", urlselect_hbbox,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (urlselect_hbbox);
  gtk_box_pack_start (GTK_BOX (urlselect_vbox), urlselect_hbbox, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (urlselect_hbbox), GTK_BUTTONBOX_END);
  gtk_button_box_set_spacing (GTK_BUTTON_BOX (urlselect_hbbox), 15);

  urlselect_ok = gtk_button_new_with_label (_("OK"));
  gtk_widget_ref (urlselect_ok);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_urlselect_window), "urlselect_ok", urlselect_ok,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (urlselect_ok);
  gtk_container_add (GTK_CONTAINER (urlselect_hbbox), urlselect_ok);
  GTK_WIDGET_SET_FLAGS (urlselect_ok, GTK_CAN_DEFAULT);

  urlselect_close = gtk_button_new_with_label (_("Close"));
  gtk_widget_ref (urlselect_close);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_urlselect_window), "urlselect_close", urlselect_close,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (urlselect_close);
  gtk_container_add (GTK_CONTAINER (urlselect_hbbox), urlselect_close);
  GTK_WIDGET_SET_FLAGS (urlselect_close, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (urlselect_ok), "clicked",
                      GTK_SIGNAL_FUNC (on_urlselect_ok_clicked),
                      NULL);
  gtk_signal_connect_object (GTK_OBJECT (urlselect_close), "clicked",
                             GTK_SIGNAL_FUNC (gtk_widget_destroy),
                             GTK_OBJECT (mplayer_urlselect_window));

  return mplayer_urlselect_window;
}

GtkWidget*
create_mplayer_skinbroser_window (void)
{
  GtkWidget *mplayer_skinbroser_window;
  GtkWidget *skin_vbox;
  GtkWidget *skin_scrolledwin;
  GtkWidget *skin_viewport;
  GtkWidget *skin_tree;
  GtkWidget *skin_hbuttonbox;
  GtkWidget *skin_close;

  mplayer_skinbroser_window = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_object_set_data (GTK_OBJECT (mplayer_skinbroser_window), "mplayer_skinbroser_window", mplayer_skinbroser_window);
  gtk_widget_set_usize (mplayer_skinbroser_window, 350, 300);
  gtk_window_set_title (GTK_WINDOW (mplayer_skinbroser_window), _("Skin Browser"));
  gtk_window_set_modal (GTK_WINDOW (mplayer_skinbroser_window), TRUE);
  gtk_window_set_policy (GTK_WINDOW (mplayer_skinbroser_window), FALSE, FALSE, FALSE);

  skin_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (skin_vbox);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_skinbroser_window), "skin_vbox", skin_vbox,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (skin_vbox);
  gtk_container_add (GTK_CONTAINER (mplayer_skinbroser_window), skin_vbox);

  skin_scrolledwin = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (skin_scrolledwin);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_skinbroser_window), "skin_scrolledwin", skin_scrolledwin,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (skin_scrolledwin);
  gtk_box_pack_start (GTK_BOX (skin_vbox), skin_scrolledwin, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (skin_scrolledwin), 10);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (skin_scrolledwin), GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);

  skin_viewport = gtk_viewport_new (NULL, NULL);
  gtk_widget_ref (skin_viewport);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_skinbroser_window), "skin_viewport", skin_viewport,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (skin_viewport);
  gtk_container_add (GTK_CONTAINER (skin_scrolledwin), skin_viewport);

  skin_tree = gtk_tree_new ();
  gtk_widget_ref (skin_tree);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_skinbroser_window), "skin_tree", skin_tree,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (skin_tree);
  gtk_container_add (GTK_CONTAINER (skin_viewport), skin_tree);

  skin_hbuttonbox = gtk_hbutton_box_new ();
  gtk_widget_ref (skin_hbuttonbox);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_skinbroser_window), "skin_hbuttonbox", skin_hbuttonbox,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (skin_hbuttonbox);
  gtk_box_pack_start (GTK_BOX (skin_vbox), skin_hbuttonbox, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (skin_hbuttonbox), 10);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (skin_hbuttonbox), GTK_BUTTONBOX_END);
  gtk_button_box_set_spacing (GTK_BUTTON_BOX (skin_hbuttonbox), 20);

  skin_close = gtk_button_new_with_label (_("Close"));
  gtk_widget_ref (skin_close);
  gtk_object_set_data_full (GTK_OBJECT (mplayer_skinbroser_window), "skin_close", skin_close,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (skin_close);
  gtk_container_add (GTK_CONTAINER (skin_hbuttonbox), skin_close);
  GTK_WIDGET_SET_FLAGS (skin_close, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (skin_tree), "selection_changed",
                      GTK_SIGNAL_FUNC (on_skin_tree_selection_changed),
                      mplayer_skinbroser_window);
  gtk_signal_connect_object (GTK_OBJECT (skin_close), "clicked",
                             GTK_SIGNAL_FUNC (gtk_widget_destroy),
                             GTK_OBJECT (mplayer_skinbroser_window));

  return mplayer_skinbroser_window;
}

